import Vue from 'vue'
import App from './App'

import store from './store'
import request from './common/request.js'
import dictUtils from '@/common/dictUtils.js'
import * as auth from "@/common/auth.js"
import * as utils from "@/common/util.js"
import cuCustom from '@/components/cu-navbar/cu-navbar.vue'
import BASE_URL from './config.js'
import '@/common/filter'
// 引入全局uView
import uView from '@/uni_modules/uview-ui'
import mixin from './common/mixin'


Vue.component('cu-custom',cuCustom)
Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.$http = request
Vue.prototype.$auth = auth
Vue.prototype.$dictUtils = dictUtils
Vue.prototype.$utils = utils
Vue.prototype.recover = utils.recover
Vue.prototype.BASE_URL = BASE_URL

// 注册全局组件
import LyTree from '@/components/ly-tree/ly-tree.vue'
Vue.component('ly-tree', LyTree)



App.mpType = 'app'
Vue.use(uView)

// #ifdef MP
// 引入uView对小程序分享的mixin封装
const mpShare = require('@/uni_modules/uview-ui/libs/mixin/mpShare.js')
Vue.mixin(mpShare)
// #endif

Vue.mixin(mixin)

const app = new Vue({
    ...App
})
app.$mount()

 



